#!/bin/bash

# clean (delete) folders before build
rm -r KretaCLI/bin/Release/net8.0/

# make packages with dotnet8 preinstalled
# those will be x64 only and they will be put into the publish folder under the platform name
dotnet publish --no-dependencies --self-contained true --os linux
dotnet publish --no-dependencies --self-contained true --os win

# remake build folder
rm -r build/
mkdir build

# zip em'
zip -r build/linux-x64.zip KretaCLI/bin/Release/net8.0/linux-x64/publish/
zip -r build/win-x64.zip KretaCLI/bin/Release/net8.0/win-x64/publish/
